% definindo o sistema de EDO's
F = @(s,y) Exemplo(s,y);

% condicoes iniciais
t0 = 0;       % tempo inicial
x0 = 0;   % valor inicial

% parametros de resolucao
h = 0.1;      % passo inicial
Tol = 1e-6;   % erro maximo tolerado
tf = 20;     % tempo final

% aplicando o metodo RKF45 
[t,x] = RKF45(t0,tf,h,x0,F,Tol);

% representacao grafica do resultado
figure;
plot(t,x)
hold on

% representacao grafica da fronteir do dominio D
y = -abs(sin(t));

plot(t,y,':')